### Function

# Camel utf8_make_valid

since: 2.26

#### Declaration [src]

    gchar*
    camel_utf8_make_valid (
      const gchar* text
    )

#### Description [src]

Ensures the returned text will be valid UTF-8 string, with incorrect letters changed to question marks.

Available since: 2.26

#### Parameters

`text`

  Type: `const gchar*`

  A text to make valid.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Valid UTF-8 string, with replaced incorrect letters. Free it with g_free(), when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.